{
  "openapi": "3.0.1",
  "info": {
    "title": "Similarweb Scraper",
    "description": "Extract website traffic, global rank, country rank, bounce rate, visit duration, and traffic sources from Similarweb. Get detailed insights on SEO, referrals, and audience demographics. Scrape single or multiple URLs effortlessly. Export data as HTML Table, JSON, JSONL, CSV, Excel, XML, or RSS.",
    "version": "0.0",
    "x-build-id": "xisns844m2ljZtY7t"
  },
  "servers": [
    {
      "url": "https://api.apify.com/v2"
    }
  ],
  "paths": {
    "/acts/radeance~similarweb-scraper/run-sync-get-dataset-items": {
      "post": {
        "operationId": "run-sync-get-dataset-items-radeance-similarweb-scraper",
        "x-openai-isConsequential": false,
        "summary": "Executes an Actor, waits for its completion, and returns Actor's dataset items in response.",
        "tags": [
          "Run Actor"
        ],
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/inputSchema"
              }
            }
          }
        },
        "parameters": [
          {
            "name": "token",
            "in": "query",
            "required": true,
            "schema": {
              "type": "string"
            },
            "description": "Enter your Apify token here"
          }
        ],
        "responses": {
          "200": {
            "description": "OK"
          }
        }
      }
    },
    "/acts/radeance~similarweb-scraper/runs": {
      "post": {
        "operationId": "runs-sync-radeance-similarweb-scraper",
        "x-openai-isConsequential": false,
        "summary": "Executes an Actor and returns information about the initiated run in response.",
        "tags": [
          "Run Actor"
        ],
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/inputSchema"
              }
            }
          }
        },
        "parameters": [
          {
            "name": "token",
            "in": "query",
            "required": true,
            "schema": {
              "type": "string"
            },
            "description": "Enter your Apify token here"
          }
        ],
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/runsResponseSchema"
                }
              }
            }
          }
        }
      }
    },
    "/acts/radeance~similarweb-scraper/run-sync": {
      "post": {
        "operationId": "run-sync-radeance-similarweb-scraper",
        "x-openai-isConsequential": false,
        "summary": "Executes an Actor, waits for completion, and returns the OUTPUT from Key-value store in response.",
        "tags": [
          "Run Actor"
        ],
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/inputSchema"
              }
            }
          }
        },
        "parameters": [
          {
            "name": "token",
            "in": "query",
            "required": true,
            "schema": {
              "type": "string"
            },
            "description": "Enter your Apify token here"
          }
        ],
        "responses": {
          "200": {
            "description": "OK"
          }
        }
      }
    }
  },
  "components": {
    "schemas": {
      "inputSchema": {
        "type": "object",
        "properties": {
          "urls": {
            "title": "Website / Domain URL(s)",
            "type": "array",
            "description": "The URL(s) of the website you want to get the data from. The domain name will be extracted automatically.",
            "items": {
              "type": "string"
            }
          },
          "include_base_data": {
            "title": "Include Base Data (Visits, Traffic-Mix, AI-Traffic, Keywords, Engagement etc.)",
            "type": "boolean",
            "description": "Whether to include basic data such as traffic, keywords, bounce rates in the output. \n\n ℹ️ This data is available for most websites and will be included by default.",
            "default": true
          },
          "include_similar_sites": {
            "title": "Include Similar Sites (Related iOS / Android Apps) 🆕",
            "type": "boolean",
            "description": "Whether to include similar sites data in the output. This will add a list of similar websites along with their traffic and category information.",
            "default": false
          },
          "include_indepth_data": {
            "title": "Include In-Depth data (Audience / Demographics, Socials shares, In-/Outbound traffic, Competitors) 🆕",
            "type": "boolean",
            "description": "Whether to include in-depth data such as audience demographics, including age and gender distribution, in- and outbound traffic, topics of interest, tech-stack, display ads, category and rank history, company related data and more.. \n\n ℹ️ This **data may not be available for all websites**, especially with low traffic or low rankings. \n\n Note: This option may increase the processing time per provided URL.",
            "default": false
          },
          "include_keyword_data": {
            "title": "Include Keyword Data (Keywords, Volume, CPC, Difficulty, Historical Trends) 🆕",
            "type": "boolean",
            "description": "Enable Google keyword searches for the keywords input, using the selected keyword_type. Requires at least one keyword. Returns one separate record per keyword with totals, volume, CPC, difficulty, intent, trends, and leading domains when available. Website search options apply only to URLs. Disabled by default; providing keywords alone does not start keyword searches.",
            "default": false
          },
          "keywords": {
            "title": "Keyword(s)",
            "type": "array",
            "description": "Keywords to search when include_keyword_data is enabled. Ignored when that toggle is disabled. Duplicate keywords are removed. URLs and keywords share the run's search limit, with URLs processed first.",
            "items": {
              "type": "string"
            }
          },
          "keyword_type": {
            "title": "Keyword Search Type",
            "enum": [
              "phrase",
              "trending",
              "related",
              "questions"
            ],
            "type": "string",
            "description": "Choose the search type for all keywords in this run. Phrase is the default. Requires include_keyword_data to be enabled.",
            "default": "phrase"
          },
          "raw_output": {
            "title": "Raw Output (for existing workflow integrations)",
            "type": "boolean",
            "description": "Return native API response fields and values for existing workflows. Actor metadata is still included. Raw output always uses individual output mode. Keyword results retain the selected native wrapper, sourceId, countryAlpha2Code, and platformId. All keyword output includes source and keyword_type metadata and omits searchUrl, tabId, and snapshotDate. When customizing output_fields, select native field names marked raw or available in both formats. Direct phrase metrics and volume-window annotations are added only to clean output; raw output preserves native fields plus the defined Actor metadata.",
            "default": false
          },
          "output_mode": {
            "title": "Output Mode",
            "enum": [
              "individual",
              "aggregated"
            ],
            "type": "string",
            "description": "Choose whether to return separate results for each search or a single aggregated result containing all search types for each provided URL. \n\n ℹ️ If you choose 'Single aggregated result per URL', the output will contain a single object for each provided URL with all the collected data for Basic Search, Similar Sites and Indepth Data. If you choose 'Separate search results per URL', the output will contain multiple objects for each provided URL, each containing data from the specific search types.\n\n ℹ️ Raw Output always uses Individual mode, regardless of this setting.\n\n ℹ️ This setting applies only to website searches. Keyword searches always return one separate record per keyword in both output modes.",
            "default": "aggregated"
          },
          "output_fields": {
            "title": "Customize Output Fields",
            "uniqueItems": true,
            "type": "array",
            "description": "Leave empty to keep all output fields. Select top-level fields to keep only those fields. Website metadata data_captured_at, type, searchUrl, url, and domain is retained. Keyword metadata data_captured_at, type, keyword, keyword_type, and source is retained. Keyword records omit searchUrl and snapshotDate and are separate in either output mode. Clean phrase searches also provide selectable direct metrics for the exact searched keyword; the ideas array is unchanged.",
            "items": {
              "type": "string",
              "enum": [
                "affiliateTraffic",
                "aiTopPrompts",
                "aiTrafficShareChatgpt",
                "aiTrafficShareClaude",
                "aiTrafficShareCopilot",
                "aiTrafficShareDeepseek",
                "aiTrafficShareGemini",
                "aiTrafficShareGrok",
                "aiTrafficShareHistory",
                "aiTrafficSharePerplexity",
                "bounceRate",
                "category",
                "categoryRank",
                "country",
                "countryRank",
                "countryShare",
                "description",
                "directTraffic",
                "displayAdsTraffic",
                "engagement",
                "favicon",
                "genAiTraffic",
                "isDataFromGoogleAds",
                "isSmall",
                "mailTraffic",
                "monthlyVisits",
                "monthlyVisitsDateFormat",
                "pagesPerVisit",
                "policy",
                "previewDesktop",
                "previewMobile",
                "rankGlobal",
                "referralTraffic",
                "searchOrganicTraffic",
                "searchPaidTraffic",
                "searchTraffic",
                "snapshotDate",
                "socialOrganicTraffic",
                "socialPaidTraffic",
                "socialTraffic",
                "timeOnSite",
                "title",
                "topKeywords",
                "totalVisits",
                "website_traffic_by_country",
                "age_distribution",
                "category_rank_history",
                "company_employees_max",
                "company_employees_min",
                "company_headquarters",
                "company_headquarters_city",
                "company_name",
                "company_parent_domain",
                "company_revenue_currency",
                "company_revenue_max",
                "company_revenue_min",
                "company_year_founded",
                "country_rank_history",
                "gender_distribution",
                "global_rank_history",
                "marketing_channel_distribution",
                "organic_search_share",
                "paid_search_share",
                "social_networks_share",
                "top_ads_sites",
                "top_categories",
                "top_competitors",
                "top_incoming_categories",
                "top_incoming_referring_domains",
                "top_interested_topics",
                "top_interested_websites",
                "top_keywords",
                "top_outgoing_categories",
                "top_outgoing_referring_domains",
                "top_technology_providers",
                "total_ads_networks",
                "total_ads_sites",
                "total_incoming_referring_domains",
                "total_keywords",
                "total_outgoing_referring_domains",
                "total_social_networks",
                "redirect",
                "related_apps",
                "similar_sites",
                "similarSites",
                "tags",
                "thumbnail",
                "top_country",
                "total_visits",
                "averageVolume",
                "cpc",
                "cpcCurrency",
                "difficulty",
                "intent",
                "keywordMatchFound",
                "keywords",
                "leaderDomain",
                "leaderIcon",
                "totalKeywords",
                "totalSearchClicks",
                "volumeTrend",
                "windowVolume",
                "windowVolumePeriodDays",
                "zeroClicks",
                "zeroClicksPercentage",
                "AiTrafficDetails",
                "Category",
                "CategoryRank",
                "Competitors",
                "Countries",
                "CountryRank",
                "Description",
                "Engagments",
                "EstimatedMonthlyVisits",
                "GlobalCategoryRank",
                "GlobalRank",
                "IsDataFromGa",
                "IsSmall",
                "LargeScreenshot",
                "Notification",
                "Policy",
                "SiteName",
                "SnapshotDate",
                "Title",
                "TopCountryShares",
                "TopKeywords",
                "TrafficSources",
                "Version",
                "adsSource",
                "categoryId",
                "compareCompetitor",
                "competitors",
                "demographics",
                "domainGaStatus",
                "geography",
                "icon",
                "incomingReferrals",
                "interests",
                "isDataFromGa",
                "isDataFromGaHighlyDiscrepant",
                "isInvalidTrafficData",
                "outgoingReferrals",
                "overview",
                "ranking",
                "recentAds",
                "searchesSource",
                "socialNetworksSource",
                "technologies",
                "traffic",
                "trafficSources",
                "Favicon",
                "Redirect",
                "RelatedApps",
                "SimilarSites",
                "Tags",
                "Thumbnail",
                "TopCountry",
                "TopCountryRank",
                "TotalVisits",
                "countryAlpha2Code",
                "phrase",
                "platformId",
                "questions",
                "related",
                "sourceId",
                "trending"
              ],
              "enumTitles": [
                "affiliateTraffic (Base Data)",
                "aiTopPrompts (Base Data)",
                "aiTrafficShareChatgpt (Base Data)",
                "aiTrafficShareClaude (Base Data)",
                "aiTrafficShareCopilot (Base Data)",
                "aiTrafficShareDeepseek (Base Data)",
                "aiTrafficShareGemini (Base Data)",
                "aiTrafficShareGrok (Base Data)",
                "aiTrafficShareHistory (Base Data)",
                "aiTrafficSharePerplexity (Base Data)",
                "bounceRate (Base Data)",
                "category (Base Data, Similar Sites)",
                "categoryRank (Base Data, Similar Sites)",
                "country (Base Data)",
                "countryRank (Base Data)",
                "countryShare (Base Data)",
                "description (Base Data, Similar Sites)",
                "directTraffic (Base Data)",
                "displayAdsTraffic (Base Data)",
                "engagement (Base Data)",
                "favicon (Base Data, Similar Sites)",
                "genAiTraffic (Base Data)",
                "isDataFromGoogleAds (Base Data)",
                "isSmall (Base Data)",
                "mailTraffic (Base Data)",
                "monthlyVisits (Base Data)",
                "monthlyVisitsDateFormat (Base Data)",
                "pagesPerVisit (Base Data)",
                "policy (Base Data)",
                "previewDesktop (Base Data, In-Depth Data)",
                "previewMobile (Base Data, In-Depth Data)",
                "rankGlobal (Base Data)",
                "referralTraffic (Base Data)",
                "searchOrganicTraffic (Base Data)",
                "searchPaidTraffic (Base Data)",
                "searchTraffic (Base Data)",
                "snapshotDate (Base Data, In-Depth Data)",
                "socialOrganicTraffic (Base Data)",
                "socialPaidTraffic (Base Data)",
                "socialTraffic (Base Data)",
                "timeOnSite (Base Data)",
                "title (Base Data, Similar Sites)",
                "topKeywords (Base Data)",
                "totalVisits (Base Data)",
                "website_traffic_by_country (Base Data)",
                "age_distribution (In-Depth Data)",
                "category_rank_history (In-Depth Data)",
                "company_employees_max (In-Depth Data)",
                "company_employees_min (In-Depth Data)",
                "company_headquarters (In-Depth Data)",
                "company_headquarters_city (In-Depth Data)",
                "company_name (In-Depth Data)",
                "company_parent_domain (In-Depth Data)",
                "company_revenue_currency (In-Depth Data)",
                "company_revenue_max (In-Depth Data)",
                "company_revenue_min (In-Depth Data)",
                "company_year_founded (In-Depth Data)",
                "country_rank_history (In-Depth Data)",
                "gender_distribution (In-Depth Data)",
                "global_rank_history (In-Depth Data)",
                "marketing_channel_distribution (In-Depth Data)",
                "organic_search_share (In-Depth Data)",
                "paid_search_share (In-Depth Data)",
                "social_networks_share (In-Depth Data)",
                "top_ads_sites (In-Depth Data)",
                "top_categories (In-Depth Data)",
                "top_competitors (In-Depth Data)",
                "top_incoming_categories (In-Depth Data)",
                "top_incoming_referring_domains (In-Depth Data)",
                "top_interested_topics (In-Depth Data)",
                "top_interested_websites (In-Depth Data)",
                "top_keywords (In-Depth Data)",
                "top_outgoing_categories (In-Depth Data)",
                "top_outgoing_referring_domains (In-Depth Data)",
                "top_technology_providers (In-Depth Data)",
                "total_ads_networks (In-Depth Data)",
                "total_ads_sites (In-Depth Data)",
                "total_incoming_referring_domains (In-Depth Data)",
                "total_keywords (In-Depth Data)",
                "total_outgoing_referring_domains (In-Depth Data)",
                "total_social_networks (In-Depth Data)",
                "redirect (Similar Sites)",
                "related_apps (Similar Sites)",
                "similar_sites (Similar Sites, individual only)",
                "similarSites (Similar Sites, aggregated only)",
                "tags (Similar Sites, individual only)",
                "thumbnail (Similar Sites, individual only)",
                "top_country (Similar Sites, individual only)",
                "total_visits (Similar Sites, individual only)",
                "averageVolume (Keyword Search, phrase only, clean only)",
                "cpc (Keyword Search, phrase only, clean only)",
                "cpcCurrency (Keyword Search, clean only)",
                "difficulty (Keyword Search, phrase only, clean only)",
                "intent (Keyword Search, phrase only, clean only)",
                "keywordMatchFound (Keyword Search, phrase only, clean only)",
                "keywords (Keyword Search)",
                "leaderDomain (Keyword Search, phrase only, clean only)",
                "leaderIcon (Keyword Search, phrase only, clean only)",
                "totalKeywords (Keyword Search)",
                "totalSearchClicks (Keyword Search)",
                "volumeTrend (Keyword Search, phrase only, clean only)",
                "windowVolume (Keyword Search, phrase only, clean only)",
                "windowVolumePeriodDays (Keyword Search, clean only)",
                "zeroClicks (Keyword Search, phrase only, clean only)",
                "zeroClicksPercentage (Keyword Search, phrase only, clean only)",
                "AiTrafficDetails (Base Data, raw)",
                "Category (Base Data, Similar Sites, raw)",
                "CategoryRank (Base Data, Similar Sites, raw)",
                "Competitors (Base Data, raw)",
                "Countries (Base Data, raw)",
                "CountryRank (Base Data, raw)",
                "Description (Base Data, Similar Sites, raw)",
                "Engagments (Base Data, raw)",
                "EstimatedMonthlyVisits (Base Data, raw)",
                "GlobalCategoryRank (Base Data, raw)",
                "GlobalRank (Base Data, raw)",
                "IsDataFromGa (Base Data, raw)",
                "IsSmall (Base Data, raw)",
                "LargeScreenshot (Base Data, raw)",
                "Notification (Base Data, raw)",
                "Policy (Base Data, raw)",
                "SiteName (Base Data, raw)",
                "SnapshotDate (Base Data, raw)",
                "Title (Base Data, Similar Sites, raw)",
                "TopCountryShares (Base Data, raw)",
                "TopKeywords (Base Data, raw)",
                "TrafficSources (Base Data, raw)",
                "Version (Base Data, raw)",
                "adsSource (In-Depth Data, raw)",
                "categoryId (In-Depth Data, raw)",
                "compareCompetitor (In-Depth Data, raw)",
                "competitors (In-Depth Data, raw)",
                "demographics (In-Depth Data, raw)",
                "domainGaStatus (In-Depth Data, raw)",
                "geography (In-Depth Data, raw)",
                "icon (In-Depth Data, raw)",
                "incomingReferrals (In-Depth Data, raw)",
                "interests (In-Depth Data, raw)",
                "isDataFromGa (In-Depth Data, raw)",
                "isDataFromGaHighlyDiscrepant (In-Depth Data, raw)",
                "isInvalidTrafficData (In-Depth Data, raw)",
                "outgoingReferrals (In-Depth Data, raw)",
                "overview (In-Depth Data, raw)",
                "ranking (In-Depth Data, raw)",
                "recentAds (In-Depth Data, raw)",
                "searchesSource (In-Depth Data, raw)",
                "socialNetworksSource (In-Depth Data, raw)",
                "technologies (In-Depth Data, raw)",
                "traffic (In-Depth Data, raw)",
                "trafficSources (In-Depth Data, raw)",
                "Favicon (Similar Sites, raw)",
                "Redirect (Similar Sites, raw)",
                "RelatedApps (Similar Sites, raw)",
                "SimilarSites (Similar Sites, raw)",
                "Tags (Similar Sites, raw)",
                "Thumbnail (Similar Sites, raw)",
                "TopCountry (Similar Sites, raw)",
                "TopCountryRank (Similar Sites, raw)",
                "TotalVisits (Similar Sites, raw)",
                "countryAlpha2Code (Keyword Search, raw)",
                "phrase (Keyword Search, raw)",
                "platformId (Keyword Search, raw)",
                "questions (Keyword Search, raw)",
                "related (Keyword Search, raw)",
                "sourceId (Keyword Search, raw)",
                "trending (Keyword Search, raw)"
              ]
            },
            "default": []
          }
        }
      },
      "runsResponseSchema": {
        "type": "object",
        "properties": {
          "data": {
            "type": "object",
            "properties": {
              "id": {
                "type": "string"
              },
              "actId": {
                "type": "string"
              },
              "userId": {
                "type": "string"
              },
              "startedAt": {
                "type": "string",
                "format": "date-time",
                "example": "2025-01-08T00:00:00.000Z"
              },
              "finishedAt": {
                "type": "string",
                "format": "date-time",
                "example": "2025-01-08T00:00:00.000Z"
              },
              "status": {
                "type": "string",
                "example": "READY"
              },
              "meta": {
                "type": "object",
                "properties": {
                  "origin": {
                    "type": "string",
                    "example": "API"
                  },
                  "userAgent": {
                    "type": "string"
                  }
                }
              },
              "stats": {
                "type": "object",
                "properties": {
                  "inputBodyLen": {
                    "type": "integer",
                    "example": 2000
                  },
                  "rebootCount": {
                    "type": "integer",
                    "example": 0
                  },
                  "restartCount": {
                    "type": "integer",
                    "example": 0
                  },
                  "resurrectCount": {
                    "type": "integer",
                    "example": 0
                  },
                  "computeUnits": {
                    "type": "integer",
                    "example": 0
                  }
                }
              },
              "options": {
                "type": "object",
                "properties": {
                  "build": {
                    "type": "string",
                    "example": "latest"
                  },
                  "timeoutSecs": {
                    "type": "integer",
                    "example": 300
                  },
                  "memoryMbytes": {
                    "type": "integer",
                    "example": 1024
                  },
                  "diskMbytes": {
                    "type": "integer",
                    "example": 2048
                  }
                }
              },
              "buildId": {
                "type": "string"
              },
              "defaultKeyValueStoreId": {
                "type": "string"
              },
              "defaultDatasetId": {
                "type": "string"
              },
              "defaultRequestQueueId": {
                "type": "string"
              },
              "buildNumber": {
                "type": "string",
                "example": "1.0.0"
              },
              "containerUrl": {
                "type": "string"
              },
              "usage": {
                "type": "object",
                "properties": {
                  "ACTOR_COMPUTE_UNITS": {
                    "type": "integer",
                    "example": 0
                  },
                  "DATASET_READS": {
                    "type": "integer",
                    "example": 0
                  },
                  "DATASET_WRITES": {
                    "type": "integer",
                    "example": 0
                  },
                  "KEY_VALUE_STORE_READS": {
                    "type": "integer",
                    "example": 0
                  },
                  "KEY_VALUE_STORE_WRITES": {
                    "type": "integer",
                    "example": 1
                  },
                  "KEY_VALUE_STORE_LISTS": {
                    "type": "integer",
                    "example": 0
                  },
                  "REQUEST_QUEUE_READS": {
                    "type": "integer",
                    "example": 0
                  },
                  "REQUEST_QUEUE_WRITES": {
                    "type": "integer",
                    "example": 0
                  },
                  "DATA_TRANSFER_INTERNAL_GBYTES": {
                    "type": "integer",
                    "example": 0
                  },
                  "DATA_TRANSFER_EXTERNAL_GBYTES": {
                    "type": "integer",
                    "example": 0
                  },
                  "PROXY_RESIDENTIAL_TRANSFER_GBYTES": {
                    "type": "integer",
                    "example": 0
                  },
                  "PROXY_SERPS": {
                    "type": "integer",
                    "example": 0
                  },
                  "PROXY_UNBLOCKER_UNITS": {
                    "type": "integer",
                    "example": 0
                  }
                }
              },
              "usageTotalUsd": {
                "type": "number",
                "example": 0.00005
              },
              "usageUsd": {
                "type": "object",
                "properties": {
                  "ACTOR_COMPUTE_UNITS": {
                    "type": "integer",
                    "example": 0
                  },
                  "DATASET_READS": {
                    "type": "integer",
                    "example": 0
                  },
                  "DATASET_WRITES": {
                    "type": "integer",
                    "example": 0
                  },
                  "KEY_VALUE_STORE_READS": {
                    "type": "integer",
                    "example": 0
                  },
                  "KEY_VALUE_STORE_WRITES": {
                    "type": "number",
                    "example": 0.00005
                  },
                  "KEY_VALUE_STORE_LISTS": {
                    "type": "integer",
                    "example": 0
                  },
                  "REQUEST_QUEUE_READS": {
                    "type": "integer",
                    "example": 0
                  },
                  "REQUEST_QUEUE_WRITES": {
                    "type": "integer",
                    "example": 0
                  },
                  "DATA_TRANSFER_INTERNAL_GBYTES": {
                    "type": "integer",
                    "example": 0
                  },
                  "DATA_TRANSFER_EXTERNAL_GBYTES": {
                    "type": "integer",
                    "example": 0
                  },
                  "PROXY_RESIDENTIAL_TRANSFER_GBYTES": {
                    "type": "integer",
                    "example": 0
                  },
                  "PROXY_SERPS": {
                    "type": "integer",
                    "example": 0
                  },
                  "PROXY_UNBLOCKER_UNITS": {
                    "type": "integer",
                    "example": 0
                  }
                }
              }
            }
          }
        }
      }
    }
  }
}